Bug 59440 - glBitmap generates no fragments (occlusion_query_meta_fragments test fails)
glBitmap generates no fragments (occlusion_query_meta_fragments test fails)
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
Other All
: medium normal
Assigned To: Ian Romanick
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-15 21:51 UTC by Carl Worth
Modified: 2013-05-23 17:27 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carl Worth 2013-01-15 21:51:39 UTC
[Note: I discovered this bug while testing with the i965 driver, but
it's certainly possible that it's actually a general bug in mesa.]

The OpenGL specification indicates that the glBitmap operation should
generate fragments. It says:

	 Bitmaps are rectangles of zeros and ones specifying a
	 particular pattern of fragments to be produced. [OpenGL 3.0 ยง
	 3.8]

I recently added the occlusion_query_meta_fragments test to piglit to
ensure this behavior. It executes a glBitmap operation within an
occlusion query, expecting a result of the same number as pixels as
set in the bitmap.

This test currently fails, (the occlusion query reports 0 fragments
rather than the expected 8 fragments for a 4x4 bitmap with 8 of the 16
pixels set).

-Carl
Comment 1 Eric Anholt 2013-05-22 23:23:02 UTC
commit cf37e12024911e2b4c972db9472a81e71ca2f086
Author: Eric Anholt <eric@anholt.net>
Date:   Tue May 21 16:20:18 2013 -0700

    intel: Count fragments in our blitter-based glBitmap() path.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=59440
    Reviewed-by: Ian Romanick <ian.d.romanick@intel.com>
    Reviewed-by: Kenneth Graunke <kenneth@whitecape.org>
Comment 2 Carl Worth 2013-05-23 17:27:59 UTC
Thanks, Eric.

-Carl